
var poplingPrefs;
var navToTab;

var parentBridge = {};

//prefs specific
parentBridge.getPrefs = getPrefs;
parentBridge.setPrefs = setPrefs;
parentBridge.setPass = setPass;
parentBridge.getPass = getPass;
parentBridge.getUser = getUser;
parentBridge.poplingPrefs = poplingPrefs;
parentBridge.getRunAtStartup = getRunAtStartup;
parentBridge.setRunAtStartup = setRunAtStartup;

//debug
parentBridge.trace = trace;

//card specific 
parentBridge.getRemoteURL = getRemoteURL;
parentBridge.renderNotifyWindow = renderNotifyWindow;

//core specific
parentBridge.linkToPage = linkToPage;
parentBridge.startTimer = startTimer;
parentBridge.turnOn = turnOn;
parentBridge.turnOff = turnOff;
parentBridge.show = show;
parentBridge.hider = hider;
parentBridge.loadURLAndReturnVars = loadURLAndReturnVars;

//update
parentBridge.getAirFile = getAirFile;
parentBridge.updateVersionViewed = updateVersionViewed;
parentBridge.getVersionViewed = getVersionViewed;
parentBridge.getThisVersion = getThisVersion;


function bridge(){
	$('UI').contentWindow.parentSandboxBridge = parentBridge;
	
	//create some vars for the sandbox to use to refrence bridged functions
	
	var csbb = document.getElementById('UI').contentWindow.childSandboxBridge;
	navToTab = csbb.navToTab;
	clearCard = csbb.clearCard;
	getCard = csbb.getCard;
	makeRetrievedCard = csbb.makeRetrievedCard;
	displayOfflineMessage = csbb.displayOfflineMessage;
	getCardState = csbb.getCardState;
	initPopUI = csbb.initPopUI;
	displayVersionCheckMessage = csbb.displayVersionCheckMessage;
	displayUpgradeMessage = csbb.displayUpgradeMessage;
	getRetrievedCard = csbb.getRetrievedCard;
	getCurrentTab = csbb.getCurrentTab;
}

function waitForSandboxLoad(){
	//fix for xttp object has to be called after complete load.
	//function is called by an interval in initPopling
	if(initPopUI != "undefined"){
		clearInterval(init_interval);
		getAppVersion();
		//initPopUI is called by getAppVersion
		//this is bbbbbbbbbbbadddd........ needs to call init from here, after getting version. 
	}
}

function initPopling(){
	trace("initPopling");
	initConnectionManager();
	createWindowListeners();
	bridge();
	poplingPrefs = getPrefs();
	init_interval =  setInterval(waitForSandboxLoad,1000);
}