
var notifyTimer = null;
var notifySeconds = 10 * 1000;
var notifyWindow = null;
var notifyOptions = new air.NativeWindowInitOptions();
	notifyOptions.systemChrome = air.NativeWindowSystemChrome.NONE;
	notifyOptions.type = "lightweight";
	notifyOptions.transparent=true;

//for notify window pos
var win_y;
var win_x;
var wb;
var wr;
	
function getNotifyPosition(){	

	var np = poplingPrefs['notifyPos'];
	if(np == 0){
		//bottom right	
		wr = window.runtime.flash.display.Screen.mainScreen.bounds.width;
		win_x = wr - 260;
		wb = window.runtime.flash.display.Screen.mainScreen.bounds.height;
		win_y = wb - 110;
	}else if(np == 1){	
		//bottom left	
		win_x = 10;
		wr = 260;
		wb = window.runtime.flash.display.Screen.mainScreen.bounds.height;
		win_y = wb - 110;
	}else if(np == 2){
		//top right	
		win_y = 20;
		wb = 120;
		wr = 250;
		win_x = window.runtime.flash.display.Screen.mainScreen.bounds.width - 250;
	}else if(np == 3){
		//top left	
		win_x = 0;
		win_y = 20;
		wr = 250;
		wb = 110;
	}
}

function notify(){
	trace("notify");
	clearTimer();
	var retrievedCard = getRetrievedCard();
	if(retrievedCard == null){
		getCard(true);
	}else{
		renderNotifyWindow();
	}
}

function hideNotify(){
	trace("hideNotify");
	clearNotifyTimer();
	if(notifyWindow != null){
		try	{
			notifyWindow.window.nativeWindow.visible = false;
		} catch (error){
			trace(error);
			$("app_mess").innerHTML = error;
		}
	}
	
	startTimer();
}

function renderNotifyWindow(){
	trace("renderNotifyWindow:");
	
	var rc = getRetrievedCard();
	var notifyTitle = rc.p.name;
	var notifyQuestion = rc.q.question;
	
	getNotifyPosition();
	
	if(notifyWindow == null){
		var windowBounds = new air.Rectangle(win_x,win_y,wr,wb);
		notifyWindow = air.HTMLLoader.createRootWindow(true, notifyOptions, true, windowBounds);
		var loadURI = new runtime.flash.net.URLRequest("notify.html");
		notifyWindow.load(loadURI);
		notifyWindow.window.nativeWindow.alwaysInFront = true;
		
		notifyWindow.addEventListener(air.Event.COMPLETE, function(){
		
			// Remove the complete event, as it is also called when the window is closed 
			notifyWindow.removeEventListener( air.Event.COMPLETE, arguments.callee );

			// Put the title and message into the elements and also resize the window to have
			// the entire message in view
			injectMessage(notifyTitle, notifyQuestion);

			// Ready to make the window visible
			notifyWindow.window.nativeWindow.visible = true;
			
			notifyWindow.window.show = show;
			notifyWindow.window.hideNotify = hideNotify;
		});
	}else{
		injectMessage(notifyTitle, notifyQuestion);
		notifyWindow.window.nativeWindow.visible = true;
	}
	
	if(notifyTimer == null){
		notifyTimer = new air.Timer(notifySeconds, 0);
		notifyTimer.addEventListener(air.TimerEvent.TIMER,hideNotify);
	}
	notifyTimer.start();
}



function clearNotifyTimer(){
	notifyTimer.reset();
	//notifyTimer.removeEventListener(air.TimerEvent.TIMER, hideNotify);
}

function injectMessage(notifyTitle, notifyQuestion){
	trace("injectMessage");
	var t = notifyWindow.window.document.getElementById("title");
	var q = notifyWindow.window.document.getElementById("question");
	var l = notifyQuestion.length;
	trace(l);
	if(l > 60){
		notifyQuestion = notifyQuestion.substr(0,60);
		notifyQuestion += "...";
		trace(notifyQuestion);
	}
	
	t.innerHTML = notifyTitle;
	q.innerHTML = notifyQuestion + "&nbsp;=&nbsp;______&nbsp;?";
	
}



function closeNotify(){
	try{
		notifyWindow.window.close();
	}catch(error){
		trace(error);
		$("app_mess").innerHTML = error;
	}

	clearNotifyTimer();
	
}