// JavaScript Document
var checkForUpdates = true;
var appState = true;
var hiddenSatus = false;
var popTime;
var coreTimer = null;
var timerFunction = notify;

function turnOn(){
	appState = true;
	startTimer();
	createWindowListeners();
}

function turnOff(){
	trace('turn off');
	appState = false;
	cleanUp();
}

function linkToPage(href){
	trace("link to page");
	var r = new air.URLRequest(href);
	air.navigateToURL(r);
}

function keyPressEvent(e){
	if(e.keyCode == 119 && e.metaKey || e.keyCode == 119 && e.ctrlKey){
		hider();
	}
}

document.onkeypress=keyPressEvent;

function hider(){
	clearCard();
	var currentTab = getCurrentTab();
	if(currentTab == 'prefs'){
		navToTab('cards');
	}
	startTimer();
	hiddenSatus = true;
	window.nativeWindow.minimize();
}

function loadURLAndReturnVars (url){
	trace("loadURLAndReturnVars"+url);
	var request = new air.URLRequest(url); 
	var loader = new air.URLLoader(); 
	return loader.load(request);
}

function show(){
	trace("show");
	clearTimer();
	if(poplingPrefs['teaser'] == "true"){
		trace("show: teaster true, clearing notifyTimer");
		clearNotifyTimer();
	}else{
		refreshCard();	
	}
	//brings card window to front from minimized
	window.nativeWindow.activate();
	window.nativeWindow.orderToFront();
	window.nativeWindow.alwaysInFront = true;
	window.nativeWindow.alwaysInFront = false;
}


function startTimer(){
	//for connection before starting timer
	trace("Start Timer: conn: " + String(conn) +" app: "+ String(appState));
	if(conn == true && appState == true){	
		
		if(typeof poplingPrefs['popTime'] == 'undefined'){
			popTime = 5;
		}else{
			popTime = poplingPrefs['popTime'];	
		}
		trace("popTime"+popTime);
		
		
		var p = (popTime*60) *1000;
		var timerFunction;
		if(poplingPrefs['teaser'] == "true"){
			timerFunction = notify;
		}else{
			timerFunction = show;
		}
		
		if(coreTimer == null){
			coreTimer = new air.Timer(p, 0);
			coreTimer.addEventListener(air.TimerEvent.TIMER,timerFunction);
		}
		
		coreTimer.start();
	}
}




function clearTimer(){
	if(coreTimer != null){
	coreTimer.reset();
	}
}

function refreshCard(){
	trace("refreshCard");
	
	var retrievedCard = getRetrievedCard();
	
	if(retrievedCard != null){
		makeRetrievedCard();
	}else{
		getCard();
	}
}

function onDeactivate() { 
	//trace("window deactivated");
	startTimer();// On deactivate, start timer
};

function onActivate() { 
	trace("onActivate: window activated");
	
	clearTimer();
	trace("notifyWindow: "+notifyWindow + "poplingPrefs-teaser: "+ poplingPrefs['teaser']);
	//if using the teaser window, make it go away
	if(notifyWindow != null & poplingPrefs['teaser'] == "true"){
		clearNotifyTimer();
		if(notifyWindow != null){
			notifyWindow.window.nativeWindow.visible = false;
		}	
	}
	
	refreshCard();
	
	if(hiddenSatus == true){
		hiddenSatus = false;
	}
};
	


function cleanUp(){
	clearTimer();
	if(notifyWindow != null){
		closeNotify();
	}
	//window.nativeWindow.removeEventListener(air.Event.CLOSING, cleanUp);
	window.nativeWindow.removeEventListener(air.Event.DEACTIVATE, onDeactivate);
	window.nativeWindow.removeEventListener(air.Event.ACTIVATE, onActivate);
}

function createWindowListeners(){
	//trace("creating window listeners");
	//create listeners for when window is focused and pushed to background
	window.nativeWindow.addEventListener(air.Event.DEACTIVATE, onDeactivate);
	window.nativeWindow.addEventListener(air.Event.ACTIVATE, onActivate);
	window.nativeWindow.addEventListener(air.Event.CLOSING, cleanUp);
	
}