// JavaScript Document

var urlString;
var urlReq;
var urlStream;
var fileData;
var version;
var appVersion;

//TEST FOR A NEW VERSION

function getCurrentVersion(){
	return appVersion;
}

function updateVersionViewed(appVersion){
	trace("version viewed:" +appVersion);
	data = new air.ByteArray();
	data.writeUTFBytes( appVersion );
	air.EncryptedLocalStore.setItem( 'versionViewed', data );	
}

function getVersionViewed(){
	var sv = air.EncryptedLocalStore.getItem( 'versionViewed' );
	if(sv!=null){
		sv = sv.readUTFBytes( sv.bytesAvailable );	
		return sv;
	}else{
		return '';	
	}
}

//download version JSON
function getAppVersion(){
	trace("getting version");
	//displayVersionCheckMessage();
	 var xmlhttp = new XMLHttpRequest();
	 var url = remoteUrl + "air/version.txt";
	 trace(url);
	 xmlhttp.open("GET", url,true);
	 xmlhttp.onreadystatechange = function() {
		//trace("readyState: "+xmlhttp.readyState);
		 if (xmlhttp.readyState == 4) {
			//trace("responseText: "+xmlhttp.responseText);
			var r = eval("("+ xmlhttp.responseText +")");
			version = r.version;
			parseVersion(version);
		}
	}
	xmlhttp.send(null);
}

//these functions found in UI.js
//displayVersionCheckMessage()
//displayUpgradeMessage()

function getThisVersion(){
	var xmlString = air.NativeApplication.nativeApplication.applicationDescriptor;
	var appXml = new DOMParser();
	var xmlobject = appXml.parseFromString(xmlString, "text/xml");
	var root = xmlobject.getElementsByTagName('application')[0];
	appVersion = root.getElementsByTagName("version")[0].childNodes[0].nodeValue;
	//trace("appVersion:"+ appVersion);
	return appVersion;
}

//parse version xml, compair vs. current
function parseVersion(currentVersion){
	var thisVersion = getThisVersion();
	trace("currentVersion: "+currentVersion+" runtimeVersion: "+thisVersion);
	if(currentVersion > thisVersion){
		trace("getting file to update");
		displayUpgradeMessage();
		//getAirFile();
	}else{
		trace("no new version");
		document.getElementById("app_mess").innerHTML = "version "+thisVersion;
		initPopUI();
	}
}




//GET THE FILE FROM THE SERVER. 
function getAirFile(){
	urlString = remoteUrl + "install/popling.air";
	trace("getting air file: "+urlString);

	urlReq = new air.URLRequest(urlString);
	urlReq.useCache = false;
	
	urlStream = new air.URLStream();
	fileData = new air.ByteArray();
	urlStream.addEventListener(air.Event.COMPLETE, loaded);
	urlStream.load(urlReq);

	//update status message
	var statusMessage = "<img src='assets/images/progress.gif' /> Downloading Update...";
	document.getElementById("app_mess").innerHTML = statusMessage;
}

function loaded(event) {
	//update status message
	var statusMessage = "Update Downloaded";
	document.getElementById("app_mess").innerHTML = statusMessage;
    urlStream.readBytes(fileData, 0, urlStream.bytesAvailable);
    writeAirFile();
}

function writeAirFile() {
    var file = air.File.desktopDirectory.resolvePath("popling.air");
    var fileStream = new air.FileStream();
    fileStream.addEventListener(air.Event.CLOSE, fileClosed);
    fileStream.openAsync(file, air.FileMode.WRITE);
    fileStream.writeBytes(fileData, 0, fileData.length);
    fileStream.close();
}

function fileClosed(event) {
	
	trace("file written");
	updateVersion();
}

//UPDATE THE AIR APPLICATION
function updateVersion(){
	trace("updating version");
	var updater = new air.Updater();
	var airFile = air.File.desktopDirectory.resolvePath("popling.air");
	updater.update(airFile, version);
}
